net.sf.jasperreports.components.iconlabel

## Class IconLabelComponentFillFactory

- java.lang.Object
- - net.sf.jasperreports.components.iconlabel.IconLabelComponentFillFactory

- All Implemented Interfaces:
    ComponentFillFactory

      public class IconLabelComponentFillFactory
      extends java.lang.Object
      implements ComponentFillFactory

  Version:
    $Id: TextInputComponentFillFactory.java 5921 2013-02-19 10:23:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconLabelComponentFillFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FillComponent` | `cloneFillComponent(FillComponent component, JRFillCloneFactory factory)` Creates a clone of a fill component.
    `FillComponent` | `toFillComponent(Component component, JRFillObjectFactory factory)` Creates a fill component instance for a component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IconLabelComponentFillFactory

          public IconLabelComponentFillFactory()

  - ### Method Detail

    - #### toFillComponent

          public FillComponent toFillComponent(Component component,
                                      JRFillObjectFactory factory)

      Description copied from interface: `ComponentFillFactory`
      Creates a fill component instance for a component.
      Specified by:
        `toFillComponent` in interface `ComponentFillFactory`
      Parameters:
        `component` - the component
        `factory` - the fill objects factory
      Returns:
        the fill component instance

    - #### cloneFillComponent

          public FillComponent cloneFillComponent(FillComponent component,
                                         JRFillCloneFactory factory)

      Description copied from interface: `ComponentFillFactory`
      Creates a clone of a fill component.

      Fill components clones are currently only created when the component element is placed inside a crosstab.

      Specified by:
        `cloneFillComponent` in interface `ComponentFillFactory`
      Parameters:
        `component` - the fill component
        `factory` - the clone factory
      Returns:
        a clone of the fill component

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com